Resource.Status (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.cache.Resource.Status class
Date: 2018-03-18

net.sourceforge.jnlp.cache

## Enum Resource.Status

- java.lang.Object
- - java.lang.Enum<Resource.Status>
  - - net.sourceforge.jnlp.cache.Resource.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Resource.Status>
  Enclosing class:
    Resource

      public static enum Resource.Status
      extends java.lang.Enum<Resource.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTED`
    `CONNECTING`
    `DOWNLOADED`
    `DOWNLOADING`
    `ERROR`
    `PRECONNECT`
    `PREDOWNLOAD`
    `PROCESSING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Resource.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Resource.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRECONNECT

          public static final Resource.Status PRECONNECT

    - #### CONNECTING

          public static final Resource.Status CONNECTING

    - #### CONNECTED

          public static final Resource.Status CONNECTED

    - #### PREDOWNLOAD

          public static final Resource.Status PREDOWNLOAD

    - #### DOWNLOADING

          public static final Resource.Status DOWNLOADING

    - #### DOWNLOADED

          public static final Resource.Status DOWNLOADED

    - #### ERROR

          public static final Resource.Status ERROR

    - #### PROCESSING

          public static final Resource.Status PROCESSING

  - ### Method Detail

    - #### values

          public static Resource.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Resource.Status c : Resource.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Resource.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Submit a bug or feature